﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace Tsi1.DataLayer.Migrations
{
    public partial class sections : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Forums_Courses_CourseId",
                table: "Forums");

            migrationBuilder.DropIndex(
                name: "IX_Forums_CourseId",
                table: "Forums");

            migrationBuilder.DropColumn(
                name: "CourseId",
                table: "Forums");

            migrationBuilder.AddColumn<int>(
                name: "CourseId",
                table: "Sections",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.CreateIndex(
                name: "IX_Sections_CourseId",
                table: "Sections",
                column: "CourseId");

            migrationBuilder.AddForeignKey(
                name: "FK_Sections_Courses_CourseId",
                table: "Sections",
                column: "CourseId",
                principalTable: "Courses",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Sections_Courses_CourseId",
                table: "Sections");

            migrationBuilder.DropIndex(
                name: "IX_Sections_CourseId",
                table: "Sections");

            migrationBuilder.DropColumn(
                name: "CourseId",
                table: "Sections");

            migrationBuilder.AddColumn<int>(
                name: "CourseId",
                table: "Forums",
                type: "integer",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_Forums_CourseId",
                table: "Forums",
                column: "CourseId");

            migrationBuilder.AddForeignKey(
                name: "FK_Forums_Courses_CourseId",
                table: "Forums",
                column: "CourseId",
                principalTable: "Courses",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }
    }
}
