﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace Tsi1.DataLayer.Migrations
{
    public partial class fixsurvey : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Surveys_Tenants_TenantId",
                table: "Surveys");

            migrationBuilder.AlterColumn<int>(
                name: "TenantId",
                table: "Surveys",
                nullable: true,
                oldClrType: typeof(int),
                oldType: "integer");

            migrationBuilder.AddForeignKey(
                name: "FK_Surveys_Tenants_TenantId",
                table: "Surveys",
                column: "TenantId",
                principalTable: "Tenants",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Surveys_Tenants_TenantId",
                table: "Surveys");

            migrationBuilder.AlterColumn<int>(
                name: "TenantId",
                table: "Surveys",
                type: "integer",
                nullable: false,
                oldClrType: typeof(int),
                oldNullable: true);

            migrationBuilder.AddForeignKey(
                name: "FK_Surveys_Tenants_TenantId",
                table: "Surveys",
                column: "TenantId",
                principalTable: "Tenants",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
